import { p as proxyCustomElement, H, h } from './p-a53686b3.js';
import { r as randomIdGenerator } from './p-ffe5c0e8.js';

const iconValidationSuccessCss = ".sc-digi-icon-validation-success-h{--digi--icon--color:var(--digi--color--icon--primary);--digi--icon--width:initial;--digi--icon--height:auto;display:flex;min-height:1.4em;align-items:center}.sc-digi-icon-validation-success-h svg.sc-digi-icon-validation-success{color:var(--digi--icon--color);max-width:var(--digi--icon--width);max-height:var(--digi--icon--height);width:var(--digi--icon--width, auto);height:var(--digi--icon--height, auto)}";
const DigiIconValidationSuccessStyle0 = iconValidationSuccessCss;

const IconCheckCircle = /*@__PURE__*/ proxyCustomElement(class IconCheckCircle extends H {
    constructor() {
        super();
        this.__registerHost();
        this.afTitle = undefined;
        this.afDesc = undefined;
        this.afSvgAriaHidden = true;
        this.afSvgAriaLabelledby = undefined;
        this.titleId = randomIdGenerator('icontitle');
    }
    render() {
        return (h("svg", { key: '253c41b3eec2b8cf5d03bb05ca04bb9c8f3ecfba', class: "digi-icon-validation-success", width: "25", height: "25", viewBox: "0 0 25 25", "aria-hidden": this.afSvgAriaHidden ? 'true' : 'false', "aria-labelledby": this.afSvgAriaLabelledby
                ? this.afSvgAriaLabelledby
                : this.afTitle
                    ? this.titleId
                    : undefined, xmlns: "http://www.w3.org/2000/svg" }, this.afTitle && h("title", { key: '75c7dc872f2b3acd7559a2ca5103a8a9f335d01a', id: this.titleId }, this.afTitle), this.afDesc && h("desc", { key: '1c699244714a8e67204dc3245c09a80f1e222ef4' }, this.afDesc), h("path", { key: '850682e74d826ff323d2a225adf34aed897b256e', class: "digi-icon-validation-success__shape", d: "M25 12.5C25 19.404 19.404 25 12.5 25S0 19.404 0 12.5 5.596 0 12.5 0 25 5.596 25 12.5zm-13.946 6.619l9.274-9.275a.806.806 0 000-1.14l-1.14-1.14a.806.806 0 00-1.14 0l-7.564 7.563-3.531-3.531a.807.807 0 00-1.14 0l-1.141 1.14a.806.806 0 000 1.14l5.242 5.243a.806.806 0 001.14 0z", fill: "currentColor", "fill-rule": "nonzero" })));
    }
    static get style() { return DigiIconValidationSuccessStyle0; }
}, [2, "digi-icon-validation-success", {
        "afTitle": [1, "af-title"],
        "afDesc": [1, "af-desc"],
        "afSvgAriaHidden": [4, "af-svg-aria-hidden"],
        "afSvgAriaLabelledby": [1, "af-svg-aria-labelledby"],
        "titleId": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["digi-icon-validation-success"];
    components.forEach(tagName => { switch (tagName) {
        case "digi-icon-validation-success":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, IconCheckCircle);
            }
            break;
    } });
}

export { IconCheckCircle as I, defineCustomElement as d };
